Bug 241826 - x11-wm/compiz-plugins-unsupported unfetchable
Summary: x11-wm/compiz-plugins-unsupported unfetchable
Status: Closed Not Accepted
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-09 14:09 UTC by tech-lists
Modified: 2020-05-27 23:56 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (freebsd-ports)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tech-lists 2019-11-09 14:09:01 UTC
Hi,

https://svn.freebsd.org/ports/head@517110

x11-wm/compiz-plugins-unsupported unfetchable. This also breaks compiz-fusion if unsupported is selected from its make config
Comment 1 Chris Hutchinson 2020-05-05 17:43:55 UTC
I maintain one of the compiz plugins, myself,
and this caught my eye too. A quick check seems
to indicate that this plugin is still available
on it's designated MASTER_SITES. Why is it
marked BROKEN (unfetchable)?

Thanks for looking into this! :-)

--Chris
Comment 2 Rene Ladan freebsd_committer 2020-05-07 20:00:48 UTC
It's not fetchable. If it does for you, then you are fetching it from the FreeBSD mirrors (which are *not* intended as primary sources) or you have cached the distribution files locally.

rene@e17:/usr/ports/x11-wm/compiz-plugins-unsupported % make checksum TRYBROKEN=yes MASTER_SITE_BACKUP=
/!\ compiz-plugins-unsupported-0.8.8_6: Makefile warnings, please consider fixing /!\

USE_GL=yes is deprecated, please add USE_GL=glu (default) or specify component

===>   NOTICE:

This port is deprecated; you may wish to reconsider installing it:

Broken for more than 6 months.

It is scheduled to be removed on or after 2020-05-05.

===>  License GPLv2+ accepted by the user
Trying build of compiz-plugins-unsupported-0.8.8_6 even though it is marked BROKEN.
===>   compiz-plugins-unsupported-0.8.8_6 depends on file: /usr/local/sbin/pkg - found
=> compiz-plugins-unsupported-0.8.8.tar.bz2 doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch http://releases.compiz.org/0.8.8/compiz-plugins-unsupported-0.8.8.tar.bz2
fetch: http://releases.compiz.org/0.8.8/compiz-plugins-unsupported-0.8.8.tar.bz2: Not Found
=> Couldn't fetch it - please try to retrieve this
=> port manually into /usr/ports/distfiles/ and try again.
*** Error code 1

Stop.
make: stopped in /usr/ports/x11-wm/compiz-plugins-unsupported
rene@e17:/usr/ports/x11-wm/compiz-plugins-unsupported % 


(also having USE_GL=yes shows a certain level of negligence.)

So this port is actually broken, and no fix is provided. Closing this as invalid.
Comment 3 Chris Hutchinson 2020-05-07 20:23:46 UTC
(In reply to Rene Ladan from comment #2)
Hello, Rene.
With due respect. I'm looking at the directory
index at releases.compiz.org right this very
moment. I am easily able to download the
release/version required by this port. The
check sums also line up. I have no idea why
others (including you?) are unable to fetch(1)
it.
OTOH if it still doesn't even work. That's another
matter.
Comment 4 Chris Hutchinson 2020-05-07 22:10:02 UTC
OK I did a bit more research and discovered they now
apparently live here:
https://launchpad.net/compiz
I cloned the repo, and the packed-refs indicate
the entire history from 0.2.0 - 0.9.14. But
interestingly; the 0.8.x series is completely missing.
I'll try to get more info. It might be worth a
look into actually creating a 9-series port. :-)

That's it for now.

--Chris
Comment 5 Newton Terry 2020-05-27 23:56:26 UTC
FWIW, a further developed compiz 0.8.x series is available on GitHub: https://github.com/compiz-reloaded/compiz-plugins-experimental. So are most of the other previously on http://releases.compiz.org/0.8.4/ hosted: https://github.com/compiz-reloaded/.